//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2015 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_IO_DistToolFactory.C,v $
//
// Purpose        :
//
// Special Notes  :
//
// Creator        : Robert Hoekstra, SNL, Parallel Computational Sciences
//
// Creation Date  : 08/12/03
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.2 $
//
// Revision Date  : $Date: 2015/08/04 19:43:21 $
//
// Current Owner  : $Author: hkthorn $
//-------------------------------------------------------------------------

#include <Xyce_config.h>


// ----------   Xyce Includes   ----------

#include <N_IO_DistToolFactory.h>
#include <N_IO_DistributionTool.h>
#include <N_IO_DistToolDefault.h>

namespace Xyce {
namespace IO {

//-----------------------------------------------------------------------------
// Function      : DistToolFactory::create
// Purpose       :
// Special Notes : Static
// Scope         : Public
// Creator       : Robert Hoekstra, SNL, Computational Sciences
// Creation Date : 05/24/04
//-----------------------------------------------------------------------------
DistributionTool * 
  DistToolFactory::create(
    Parallel::Communicator*                  pdsCommPtr,
    PkgOptionsMgr &                          optionsManager,
    CircuitBlock &                           circuitBlock,
    std::map<std::string,FileSSFPair>      & ssfMap,
    std::map<std::string, IncludeFileInfo> & iflMap)
{
  /*
  std::vector< std::string > instanceList = circuitContexts_->getInstanceList();
  std::cout << "Top level circuit has " << instanceList.size() << " subcircuits and " << circuitContexts_->getTotalDeviceCount() << " devices." << std::endl;
  std::cout << "Top level circuit has " << instanceList.size() << " subcircuits and " << circuitContexts_->getTotalIODeviceCount() << " linear devices." << std::endl;
  std::vector< std::string >::const_iterator ilIter = instanceList.begin();
  for ( ; ilIter != instanceList.end(); ilIter++ )
  {
    // Set the context for this subcircuit.
    circuitContexts_->setContext( *ilIter );

    Xyce::dout() << "For subcircuit " << *ilIter << " the total device count is : " << circuitContexts_->getTotalDeviceCount() << std::endl;
    Xyce::dout() << "For subcircuit " << *ilIter << " the total linear device count is : " << circuitContexts_->getTotalIODeviceCount() << std::endl;

    // Restore context before next loop.
    circuitContexts_->restorePreviousContext();
  }
  std::cout << "Circuit has " << iflMap.size() << " include files. " << std::endl;
  */

  return new DistToolDefault(pdsCommPtr, optionsManager, circuitBlock, ssfMap, iflMap);
}

} // namespace IO
} // namespace Xyce
